diff --git a/tests/test_plone_restapi.py b/tests/test_plone_restapi.py
index 9de7dcf9..156e1ae0 100644
--- a/tests/test_plone_restapi.py
+++ b/tests/test_plone_restapi.py
@@ -19,13 +19,13 @@ import json
 import os
 
 import pytest
-import utils
 from requests.exceptions import ConnectionError
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.plone_restapi.models import PloneRestApi, Query
 from passerelle.utils import import_site
 from passerelle.utils.jsonresponse import APIError
+from tests.test_manager import login
 
 pytestmark = pytest.mark.django_db
 
@@ -51,7 +51,7 @@ def json_get_data(filename):
 
 @pytest.fixture
 def connector():
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         PloneRestApi.objects.create(
             slug='my_connector',
             service_url='http://www.example.net',
@@ -66,7 +66,7 @@ def connector():
 
 @pytest.fixture
 def token(connector):
-    with utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE) as mocked:
+    with tests.utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE) as mocked:
         yield mocked
 
 
@@ -210,9 +210,9 @@ def test_adapt_record(connector, token):
 
 def test_get_token(app, connector):
     with pytest.raises(APIError):
-        with utils.mock_url(url=connector.token_ws_url, response=TOKEN_ERROR_RESPONSE, status_code=404):
+        with tests.utils.mock_url(url=connector.token_ws_url, response=TOKEN_ERROR_RESPONSE, status_code=404):
             connector.get_token()
-    with utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE) as mocked:
+    with tests.utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE) as mocked:
         result = connector.get_token()
         assert mocked.handlers[0].call['count'] == 1
         assert 'secret' in mocked.handlers[0].call['requests'][0].body
@@ -227,35 +227,35 @@ def test_get_token(app, connector):
 
 def test_check_status(app, connector):
     url = connector.service_url + '/@types'
-    with utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE):
-        with utils.mock_url(url=url, response={}):
+    with tests.utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE):
+        with tests.utils.mock_url(url=url, response={}):
             connector.check_status()
 
     # idp not responding
-    with utils.mock_url(url=connector.token_ws_url, response={}, status_code=503):
+    with tests.utils.mock_url(url=connector.token_ws_url, response={}, status_code=503):
         with pytest.raises(APIError):
             connector.check_status()
 
     # plone not responding
-    with utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE):
-        with utils.mock_url(url=url, response={}, status_code=503):
+    with tests.utils.mock_url(url=connector.token_ws_url, response=TOKEN_RESPONSE):
+        with tests.utils.mock_url(url=url, response={}, status_code=503):
             with pytest.raises(APIError):
                 connector.check_status()
 
     # without idp
     connector.token_ws_url = ''
     connector.save()
-    with utils.mock_url(url=url, response={}):
+    with tests.utils.mock_url(url=url, response={}):
         connector.check_status()
 
     # plone not responding
-    with utils.mock_url(url=url, response={}, status_code=503):
+    with tests.utils.mock_url(url=url, response={}, status_code=503):
         with pytest.raises(APIError):
             connector.check_status()
 
 
 def test_fetch(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/fetch'
     url = connector.service_url + '/braine-l-alleud/dccd85d12cf54b6899dff41e5a56ee7f'
     params = {
@@ -263,7 +263,7 @@ def test_fetch(app, connector, token):
         'uri': 'braine-l-alleud',
         'text_template': '{{ title }} ({{ topics.0.title }})',
     }
-    with utils.mock_url(url=url, response=json_get_data('fetch')):
+    with tests.utils.mock_url(url=url, response=json_get_data('fetch')):
         resp = app.get(endpoint, params=params)
     assert not resp.json['err']
     assert resp.json['data']['id'] == 'dccd85d12cf54b6899dff41e5a56ee7f'
@@ -276,7 +276,7 @@ def test_basic_auth(app, connector, token):
     connector.basic_auth_username = 'jsmith'
     connector.basic_auth_password = 'secret2'
     connector.save()
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/fetch'
     url = connector.service_url + '/braine-l-alleud/dccd85d12cf54b6899dff41e5a56ee7f'
     params = {
@@ -284,7 +284,7 @@ def test_basic_auth(app, connector, token):
         'uri': 'braine-l-alleud',
         'text_template': '{{ title }} ({{ topics.0.title }})',
     }
-    with utils.mock_url(url=url, response=json_get_data('fetch')) as mocked_get:
+    with tests.utils.mock_url(url=url, response=json_get_data('fetch')) as mocked_get:
         resp = app.get(endpoint, params=params)
         assert mocked_get.handlers[0].call['count'] == 1
         assert 'Basic' in mocked_get.handlers[0].call['requests'][0].headers['Authorization']
@@ -297,7 +297,7 @@ def test_basic_auth(app, connector, token):
 def test_request_anonymously(app, connector, token):
     connector.token_ws_url = ''
     connector.save()
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/fetch'
     url = connector.service_url + '/braine-l-alleud/dccd85d12cf54b6899dff41e5a56ee7f'
     params = {
@@ -305,7 +305,7 @@ def test_request_anonymously(app, connector, token):
         'uri': 'braine-l-alleud',
         'text_template': '{{ title }} ({{ topics.0.title }})',
     }
-    with utils.mock_url(url=url, response=json_get_data('fetch')):
+    with tests.utils.mock_url(url=url, response=json_get_data('fetch')):
         resp = app.get(endpoint, params=params)
     assert not resp.json['err']
     assert resp.json['data']['id'] == 'dccd85d12cf54b6899dff41e5a56ee7f'
@@ -322,7 +322,7 @@ def test_request_anonymously(app, connector, token):
     ],
 )
 def test_request_error(app, connector, token, exception, status_code, response, err_desc):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'fetch', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/fetch'
     url = connector.service_url + '/braine-l-alleud/plop'
     params = {
@@ -330,17 +330,17 @@ def test_request_error(app, connector, token, exception, status_code, response,
         'uri': 'braine-l-alleud',
         'text_template': '{{ title }} ({{ PLONE_type }})',
     }
-    with utils.mock_url(url=url, response=response, status_code=status_code, exception=exception):
+    with tests.utils.mock_url(url=url, response=response, status_code=status_code, exception=exception):
         resp = app.get(endpoint, params=params)
     assert resp.json['err']
     assert err_desc in resp.json['err_desc']
 
 
 def test_get_content_types(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'get_content_types', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'get_content_types', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/get_content_types'
     url = connector.service_url + '//@types'
-    with utils.mock_url(url=url, response=json_get_data('get_content_types')):
+    with tests.utils.mock_url(url=url, response=json_get_data('get_content_types')):
         resp = app.get(endpoint)
     assert not resp.json['err']
     assert len(resp.json['data']) == 10
@@ -348,17 +348,17 @@ def test_get_content_types(app, connector, token):
     assert resp.json['data'][2]['text'] == 'Contact'
 
     url = connector.service_url + '/belleville/citoyens/@types'
-    with utils.mock_url(url=url, response=json_get_data('get_content_types')):
+    with tests.utils.mock_url(url=url, response=json_get_data('get_content_types')):
         resp = app.get(endpoint + '?uri=belleville/citoyens')
     assert not resp.json['err']
 
 
 def test_get_content_type(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'get_content_type', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'get_content_type', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/get_content_type'
     url = connector.service_url + '/@types/imio.directory.Contact'
     params = {'id': 'imio.directory.Contact'}
-    with utils.mock_url(url=url, response=json_get_data('get_content_type')):
+    with tests.utils.mock_url(url=url, response=json_get_data('get_content_type')):
         resp = app.get(endpoint, params=params)
     assert not resp.json['err']
     assert resp.json['data']['title'] == 'Contact'
@@ -371,11 +371,11 @@ def test_get_content_type(app, connector, token):
 
 
 def test_get_field_choices(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'get_field_choices', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'get_field_choices', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/get_field_choices'
     url = connector.service_url + '/@vocabularies/imio.smartweb.vocabulary.Topics'
     params = {'id': 'imio.smartweb.vocabulary.Topics'}
-    with utils.mock_url(url=url, response=json_get_data('get_field_choices')) as mocked_get:
+    with tests.utils.mock_url(url=url, response=json_get_data('get_field_choices')) as mocked_get:
         resp = app.get(endpoint, params=params)
     assert 'b_size=999999' in mocked_get.handlers[0].call['requests'][1].url
     assert not resp.json['err']
@@ -385,7 +385,7 @@ def test_get_field_choices(app, connector, token):
 
 
 def test_create(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'create', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'create', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/create'
     url = connector.service_url + '/braine-l-alleud'
     payload = {
@@ -397,7 +397,7 @@ def test_create(app, connector, token):
         'topics/0/token': 'tourism',
         'image': {'filename': 'foo.jpg', 'content_type': 'image/jpeg', 'content': '...'},
     }
-    with utils.mock_url(url=url, response=json_get_data('fetch'), status_code=201) as mocked:
+    with tests.utils.mock_url(url=url, response=json_get_data('fetch'), status_code=201) as mocked:
         resp = app.post_json(endpoint + '?uri=braine-l-alleud&publish=false', params=payload)
         body = json.loads(mocked.handlers[0].call['requests'][1].body)
         assert body['topics'] == [{'title': 'Tourisme', 'token': 'tourism'}]
@@ -417,7 +417,7 @@ def test_create(app, connector, token):
 
 
 def test_create_and_publish(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'create', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'create', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/create'
     url = connector.service_url + '/braine-l-alleud'
     payload = {
@@ -430,8 +430,10 @@ def test_create_and_publish(app, connector, token):
         'image': {'filename': 'foo.jpg', 'content_type': 'image/jpeg', 'content': '...'},
     }
     publish_url = url + '/%s/@workflow/publish' % 'dccd85d12cf54b6899dff41e5a56ee7f'
-    with utils.mock_url(url=url, response=json_get_data('fetch'), status_code=201) as mocked:
-        with utils.mock_url(url=publish_url, response=json_get_data('workflow_publish'), status_code=200):
+    with tests.utils.mock_url(url=url, response=json_get_data('fetch'), status_code=201) as mocked:
+        with tests.utils.mock_url(
+            url=publish_url, response=json_get_data('workflow_publish'), status_code=200
+        ):
 
             resp = app.post_json(endpoint + '?uri=braine-l-alleud&publish=true', params=payload)
             body = json.loads(mocked.handlers[0].call['requests'][1].body)
@@ -452,7 +454,7 @@ def test_create_and_publish(app, connector, token):
 
 
 def test_create_wrong_payload(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'create', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'create', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/create'
     url = connector.service_url + '/braine-l-alleud'
     payload = 'not json'
@@ -463,7 +465,7 @@ def test_create_wrong_payload(app, connector, token):
 
 
 def test_update(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'update', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'update', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/update'
     url = connector.service_url + '/braine-l-alleud/dccd85d12cf54b6899dff41e5a56ee7f'
     query_string = '?uri=braine-l-alleud&uid=dccd85d12cf54b6899dff41e5a56ee7f'
@@ -472,7 +474,7 @@ def test_update(app, connector, token):
         'topics/0/token': 'social',
         'image': {'filename': 'foo.jpg', 'content_type': 'image/jpeg', 'content': '...'},
     }
-    with utils.mock_url(url=url, response='', status_code=204) as mocked:
+    with tests.utils.mock_url(url=url, response='', status_code=204) as mocked:
         resp = app.post_json(endpoint + query_string, params=payload)
         body = json.loads(mocked.handlers[0].call['requests'][1].body)
         assert body['topics'] == [{'token': 'social'}]
@@ -488,7 +490,7 @@ def test_update(app, connector, token):
 
 
 def test_update_wrong_payload(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'update', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'update', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/update'
     url = connector.service_url + '/braine-l-alleud/dccd85d12cf54b6899dff41e5a56ee7f'
     query_string = '?uri=braine-l-alleud&uid=dccd85d12cf54b6899dff41e5a56ee7f'
@@ -500,18 +502,18 @@ def test_update_wrong_payload(app, connector, token):
 
 
 def test_remove(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'remove', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'remove', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/remove'
     url = connector.service_url + '/braine-l-alleud/dccd85d12cf54b6899dff41e5a56ee7f'
     query_string = '?uri=braine-l-alleud&uid=dccd85d12cf54b6899dff41e5a56ee7f'
-    with utils.mock_url(url=url, response='', status_code=204):
+    with tests.utils.mock_url(url=url, response='', status_code=204):
         resp = app.delete(endpoint + query_string)
     assert resp.json['data'] == {'uid': 'dccd85d12cf54b6899dff41e5a56ee7f', 'removed': True}
     assert not resp.json['err']
 
 
 def test_search(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'search', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/search'
     url = connector.service_url + '/braine-l-alleud/@search'
     params = {
@@ -522,7 +524,7 @@ def test_search(app, connector, token):
         'limit': 3,
     }
     qs = {}
-    with utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
+    with tests.utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
         resp = app.get(endpoint, params=params)
     assert token.handlers[0].call['count'] == 1
     assert qs == {'sort_on': 'UID', 'sort_order': 'descending', 'b_size': '3', 'fullobjects': 'y'}
@@ -545,7 +547,7 @@ def test_search(app, connector, token):
 
 
 def test_search_using_q(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'search', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/search'
     url = connector.service_url + '/braine-l-alleud/@search'
     params = {
@@ -557,7 +559,7 @@ def test_search_using_q(app, connector, token):
         'q': 'Página dentro',
     }
     qs = {}
-    with utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
+    with tests.utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
         resp = app.get(endpoint, params=params)
     assert qs == {
         'SearchableText': 'Página dentro',
@@ -585,7 +587,7 @@ def test_search_using_q(app, connector, token):
 
 
 def test_search_using_id(app, connector, token):
-    endpoint = utils.generic_endpoint_url('plone-restapi', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('plone-restapi', 'search', slug=connector.slug)
     assert endpoint == '/plone-restapi/my_connector/search'
     url = connector.service_url + '/braine-l-alleud/@search'
     params = {
@@ -594,7 +596,7 @@ def test_search_using_id(app, connector, token):
         'id': '9fbb2afd499e465983434f974fce8404',
     }
     qs = {}
-    with utils.mock_url(url=url, response=json_get_data('id_search'), qs=qs):
+    with tests.utils.mock_url(url=url, response=json_get_data('id_search'), qs=qs):
         resp = app.get(endpoint, params=params)
     assert qs == {'UID': '9fbb2afd499e465983434f974fce8404', 'fullobjects': 'y'}
     assert len(resp.json['data']) == 1
@@ -608,7 +610,7 @@ def test_query_q(app, query, token):
         'limit': 3,
     }
     qs = {}
-    with utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
+    with tests.utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
         resp = app.get(endpoint, params=params)
         assert qs == {
             'sort_on': 'UID',
@@ -630,7 +632,7 @@ def test_query_q_using_q(app, query, token):
         'q': 'Página dentro',
     }
     qs = {}
-    with utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
+    with tests.utils.mock_url(url=url, response=json_get_data('q_search'), qs=qs):
         resp = app.get(endpoint, params=params)
         assert qs == {
             'SearchableText': 'Página dentro',
@@ -653,7 +655,7 @@ def test_query_q_using_id(app, query, token):
         'id': '9fbb2afd499e465983434f974fce8404',
     }
     qs = {}
-    with utils.mock_url(url=url, response=json_get_data('id_search'), qs=qs):
+    with tests.utils.mock_url(url=url, response=json_get_data('id_search'), qs=qs):
         resp = app.get(endpoint, params=params)
     assert qs == {
         'UID': '9fbb2afd499e465983434f974fce8404',
diff --git a/tests/test_proxylogger.py b/tests/test_proxylogger.py
index ae51fe33..1555b41b 100644
--- a/tests/test_proxylogger.py
+++ b/tests/test_proxylogger.py
@@ -6,18 +6,18 @@ import logging
 
 import pytest
 import requests
-import utils
 from django.core.exceptions import ValidationError
 from django.utils.log import AdminEmailHandler
 from django.utils.six import PY2
 from httmock import HTTMock
-from test_availability import down_mock, up_mock
 
+import tests.utils
 from passerelle.apps.feeds.models import Feed
 from passerelle.base.models import ProxyLogger, ResourceLog
 from passerelle.contrib.stub_invoices.models import StubInvoicesConnector
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
+from tests.test_availability import down_mock, up_mock
 
 
 @pytest.fixture
@@ -302,7 +302,7 @@ def test_logged_requests_and_responses_max_size(app, db, monkeypatch, settings):
     # default configuration
     assert connector.logging_parameters.requests_max_size == None
     assert connector.logging_parameters.responses_max_size == None
-    with utils.mock_url(URL, service_response, headers=service_headers):
+    with tests.utils.mock_url(URL, service_response, headers=service_headers):
         app.post(url, params=user_payload, status=200)
     assert len(ResourceLog.objects.all()) == 3
 
@@ -327,7 +327,7 @@ def test_logged_requests_and_responses_max_size(app, db, monkeypatch, settings):
     connector.set_log_level('DEBUG')
     settings.LOGGED_CONTENT_TYPES_MESSAGES = 'foo/bar'  # log response content
     ResourceLog.objects.all().delete()
-    with utils.mock_url(URL, service_response, headers=service_headers):
+    with tests.utils.mock_url(URL, service_response, headers=service_headers):
         app.post(url, params=user_payload, status=200)
     assert len(ResourceLog.objects.all()) == 3
 
@@ -350,7 +350,7 @@ def test_logged_requests_and_responses_max_size(app, db, monkeypatch, settings):
     parameters.requests_max_size = 25
     parameters.save()
     ResourceLog.objects.all().delete()
-    with utils.mock_url(URL, service_response, headers=service_headers):
+    with tests.utils.mock_url(URL, service_response, headers=service_headers):
         app.post(url, params=user_payload, status=200)
     assert len(ResourceLog.objects.all()) == 3
 
@@ -371,7 +371,7 @@ def test_logged_requests_and_responses_max_size(app, db, monkeypatch, settings):
     parameters.responses_max_size = 25
     parameters.save()
     ResourceLog.objects.all().delete()
-    with utils.mock_url(URL, service_response, headers=service_headers):
+    with tests.utils.mock_url(URL, service_response, headers=service_headers):
         app.post(url, params=user_payload, status=200)
     assert len(ResourceLog.objects.all()) == 3
 
@@ -384,7 +384,7 @@ def test_logged_requests_and_responses_max_size(app, db, monkeypatch, settings):
 
 def test_proxy_logger_email_traceback(app, db, email_handler, settings, mailoutbox, connector, monkeypatch):
     settings.ADMINS = [('admin', 'admin@example.net')]
-    endpoint_url = utils.generic_endpoint_url('feeds', 'json', slug=connector.slug)
+    endpoint_url = tests.utils.generic_endpoint_url('feeds', 'json', slug=connector.slug)
 
     @endpoint()
     def json(self, request):
diff --git a/tests/test_requests.py b/tests/test_requests.py
index e860b570..e1d5f70c 100644
--- a/tests/test_requests.py
+++ b/tests/test_requests.py
@@ -4,14 +4,14 @@ import mock
 import mohawk
 import pytest
 import requests
-import utils
 from django.test import override_settings
 from httmock import HTTMock, response, urlmatch
 from urllib3.exceptions import ReadTimeoutError
-from utils import FakedResponse
 
+import tests.utils
 from passerelle.utils import CaseInsensitiveDict, Request, log_http_request
 from passerelle.utils.http_authenticators import HawkAuth
+from tests.utils import FakedResponse
 
 
 @pytest.fixture(autouse=True)
diff --git a/tests/test_rsa13.py b/tests/test_rsa13.py
index d7faf85a..09593fcc 100644
--- a/tests/test_rsa13.py
+++ b/tests/test_rsa13.py
@@ -23,14 +23,14 @@ from urllib.parse import parse_qs
 
 import httmock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.contrib.rsa13.models import RSA13Resource
 
 
 @pytest.fixture
 def rsa13(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         RSA13Resource,
         title='Test',
         slug='test',
diff --git a/tests/test_sector.py b/tests/test_sector.py
index 4e6583e5..ef6a3eef 100644
--- a/tests/test_sector.py
+++ b/tests/test_sector.py
@@ -20,7 +20,6 @@ from posix import stat_result
 from stat import ST_MTIME
 
 import pytest
-import utils
 import webtest
 from django.core.exceptions import ValidationError
 from django.core.files import File
@@ -29,10 +28,11 @@ from django.urls import reverse
 from django.utils.encoding import force_str, force_text
 from django.utils.six import StringIO
 from django.utils.timezone import now
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.sector.models import Sectorization, SectorResource
 from passerelle.base.models import AccessRight
+from tests.test_manager import login
 
 CSV = """street_id,street_name,parity,min_housenumber,max_housenumber,sector_id,sector_name
 75114_1912,rue du Château,P,,, gs-moulin, Groupe Scolaire Moulin
@@ -77,7 +77,7 @@ pytestmark = pytest.mark.django_db
 
 @pytest.fixture
 def sector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         SectorResource.objects.create(
             slug='test',
             title='title',
diff --git a/tests/test_sigerly.py b/tests/test_sigerly.py
index 309e4e1f..36787e18 100644
--- a/tests/test_sigerly.py
+++ b/tests/test_sigerly.py
@@ -19,8 +19,8 @@ import os
 
 import httmock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.contrib.sigerly.models import Sigerly
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'sigerly')
@@ -28,7 +28,7 @@ TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'sigerly')
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         Sigerly.objects.create(slug='test', base_url='https://sigerly.example.net')
     )
 
@@ -39,7 +39,7 @@ def json_get_data(filename):
 
 
 def get_endpoint(name):
-    return utils.generic_endpoint_url('sigerly', name)
+    return tests.utils.generic_endpoint_url('sigerly', name)
 
 
 @pytest.mark.parametrize(
